@charset "UTF-8";

/*------------------------------------------------------------------------------
  anim
------------------------------------------------------------------------------*/

.anim-box { opacity: 0;}

/* フェードイン */
.anim-box.fadein.is-animated {
  animation: fadeIn 0.7s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards;
}

@keyframes fadeIn {
  0% { opacity: 0;}
  100% { opacity: 1;}
}

/* スライドイン */
.anim-box.slidein.is-animated {animation: slideIn 1s cubic-bezier(0.25, 1, 0.5, 1) 1 forwards;}

@keyframes slideIn {
  0% {transform: translateX(180px); opacity: 0;}
  100% {transform: translateX(0);}
  40%,100% { opacity: 1;}
}

/* ズームイン */
.anim-box.zoomin.is-animated { animation: zoomIn 1s 0.5s cubic-bezier(0.25, 1, 0.5, 1) 1 forwards;}

@keyframes zoomIn {
  0% {
    transform: scale(0.5);
    opacity: 0;
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* ぽよよん */
.anim-box.poyoyon.is-animated {
  animation: poyoyon 0.5s cubic-bezier(0.12, 0, 0.39, 0) 1 forwards;
}

@keyframes poyoyon {
  0% {
    transform: translateX(140px);
    opacity: 0;
  }
  50% {
    transform: translateX(0);
  }
  65% {
    transform: translateX(30px);
  }
  100% {
    transform: translateX(0);
  }
  20%,100% {
    opacity: 1;
  }
}

/* ぽよよん2 */
.anim-box.poyoyon2.is-animated {
  animation: poyoyon2 1s ease-in-out 1 forwards;
}

@keyframes poyoyon2 {
  0%  {
    transform: scale(1.0, 1.0) translate(0, 0);
  }
  15% {
    transform: scale(0.98, 0.9) translate(0, 5px);
  }
  30% {
    transform: scale(1.02, 1.0) translate(0, 8px);
  }
  50% {transform: scale(0.98, 1.05) translate(0, -8px);
  }
  70% {
    transform: scale(1.0, 0.9) translate(0, 5px);
  }
  100% {
    transform: scale(1.0, 1.0) translate(0, 0);
  }
  0%, 100% {
    opacity: 1;
  }
}

/* ぽよよん3 */
.anim-box.poyoyon3 {
  animation: poyoyon3 2.5s infinite;
  opacity: 1;
}
@keyframes poyoyon3 {
  0%, 40% {transform: skew(0deg, 0deg);}
  5% {transform: skew(5deg, 5deg);}
  10% {transform: skew(-4deg, -4deg);}
  15% {transform: skew(3deg, 3deg);}
  20% {transform: skew(-2deg, -2deg);}
  25% {transform: skew(1deg, 1deg);}
  30% {transform: skew(-0.6deg, -0.6deg);}
  35% {transform: skew(0.3deg, 0.3deg);}
}


/* ポップアップ */
.anim-box.popup.is-animated {
  animation: popup 0.6s cubic-bezier(0.22, 1, 0.36, 1) 1 forwards;
}

@keyframes popup {
  0% {
    transform: translateY(40px) scale(0.8);
    opacity: 0;
  }
  100% {
    transform: translateY(0) scale(1.0);
  }
  80%, 100% {
    opacity: 1;
  }
}

/* どくどく */
.anim-box.poyopoyo {
  animation: poyopoyo 2s ease-out infinite;
  opacity: 1;
}
@keyframes poyopoyo {
  0%, 40%, 60%, 80% {
    transform: scale(1.0);
  }
  50%, 70% {
    transform: scale(0.95);
  }
}

/* ななめから出てくる */
.anim-box.slide-skew.is-animated {
  animation: slide-skew 0.4s cubic-bezier(0.25, 1, 0.5, 1) 1 forwards;
}

@keyframes slide-skew {
  0% {
    transform: translate(180px,30px);
    opacity: 0;
  }
  100% {
    transform: translate(0,0);
  }
  20%,100% {
    opacity: 1;
  }
}


/* きらん */
.anim-box.kiran {
  opacity: 1;
  overflow: hidden;
  position: relative;
  cursor: pointer;
}
.anim-box.kiran::before {
  background-color: #fff;
  content: "";
  display: block;
  position: absolute;
  top: -100px;
  left: 0;
  width: 30px;
  height: 100%;
  opacity: 0;
  transition: cubic-bezier(0.32, 0, 0.67, 0);
}
.anim-box.kiran:hover::before {
  animation: kiran 0.5s linear 1;
}

@keyframes kiran {
  0% {
    transform: scale(2) rotate(45deg);
    opacity: 0;
  }
  20% {
    transform: scale(20) rotate(45deg);
    opacity: 0.6;
  }
  40% {
    transform: scale(30) rotate(45deg);
    opacity: 0.4;
  }
  80% {
    transform: scale(45) rotate(45deg);
    opacity: 0.2;
  }
  100% {
    transform: scale(50) rotate(45deg);
    opacity: 0;
  }
}

/* 背景色が流れてくる */
.bg .bg-wrap {
  position: relative;
  display: inline-block;
  margin-top: 5px;
}
.bg.is-animated .bg-wrap::before {
  animation: bg 2.6s cubic-bezier(0.22, 1, 0.36, 1) forwards;
  background: linear-gradient(to right, #362ae0 0%,#3b79cc 50%,#42d3ed 100%);
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform-origin: left center;
}
.bg .bg-wrap .inn {
  color: #fff;
  display: inline-block;
  font-size: 36px;
  font-weight: bold;
  padding: 5px 15px;
  position: relative;
  z-index: 1;
}

@keyframes bg {
  0% {
    opacity: 0;
    transform: scaleX(0) translateX(-5%);
  }
  30% {
    transform: scaleX(1) translateX(0);
  }
  100% {
    transform: scaleX(1) translateX(0);
  }
  30%, 100% {
    opacity: 1;
  }
}

/* 文字がぬるりと現れる */
.matrix .bg-wrap,
.matrix .bg-wrap .inn {display: block;}
.matrix .bg-wrap {opacity: 0;}
.matrix .bg-wrap + .bg-wrap {margin-top: 10px;}
.matrix .bg-wrap .inn.large {font-size: 36px; font-weight: bold;}
.matrix .bg-wrap .inn.small {font-size: 15px;}

.matrix .bg-wrap .inn {
  opacity: 0;
  transform: matrix(1, 0, 0, 1, 0, 100);
  transition: 1.2s cubic-bezier(0.22, 1, 0.36, 1);
}

.matrix.is-animated .bg-wrap {opacity: 1;}
.matrix.is-animated .bg-wrap .inn {opacity: 1; transform: matrix(1, 0, 0, 1, 0, 0);}


/* 背景色が消えてから表示されるテキスト */
.mask-bg {
  color: transparent;
  display: inline-block;
  font-size: 36px;
  font-weight: bold;
  overflow: hidden;
  position: relative;
  transition: color 0ms 450ms;
}
.mask-bg::after {
  background: linear-gradient(to right, #362ae0 0%,#3b79cc 50%,#42d3ed 100%);
  bottom: 0;
  content: '';
  display: block;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transform: translate(0, 100%);
}

.mask-bg.is-animated {
  color: #362ae0;
}
.mask-bg.is-animated::after { animation: mask-bg 1.2s cubic-bezier(0.8, 0, 0.170, 1);}

@keyframes mask-bg {
  0% { transform: translate(0, 101%)}
  40%, 60% { transform: translate(0, 0%)}
  100% { transform: translate(0, -100%)}
}


/* 線が伸びる */
.line {
  display: block;
  position: relative;
  margin-top: 20px;
}
.line::after {
  background: linear-gradient(to right, #362ae0 0%,#3b79cc 50%,#42d3ed 100%);
  content: '';
  display: block;
  height: 1px;
  width: 0;
  transform: translateX(-50%);
  transition: 1.2s cubic-bezier(0.22, 1, 0.36, 1);
  position: absolute;
  bottom: 0;
  left: 50%;
}
.line.is-animated::after {
  width: 100%;
}


/* フェードアップ */
.anim-box.fadeup.is-animated {animation: fadeup 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards;}

@keyframes fadeup {
  0% {transform: translateY(30px); opacity: 0;}
  80% {opacity: 1;}
  100% {opacity: 1; transform: translateY(0);}
}

/* ボーダーが緩やかにつく */
.stroke {
  background: #f0f0f0;
  max-width: 400px;
  height: 250px;
  position: relative;
}

.stroke .border {
  content: "";
  position: absolute;
  opacity: 0;
}
.stroke .border.top,
.stroke .border.bottom {
  width: calc(100% - 20px);
}
.stroke .border.top {
  border-top: 3px solid #362ae0;
  right: 0;
  top: 0;
}
.stroke .border.bottom {
  border-bottom: 3px solid #362ae0;
  left: 0;
  bottom: 0;
}

.stroke .border.right,
.stroke .border.left {
  height: calc(100% - 20px);
}
.stroke .border.right {
  border-right: 3px solid #362ae0;
  right: 0;
  top: 0;
}
.stroke .border.left {
  border-left: 3px solid #362ae0;
  left: 0;
  bottom: 0;
}

.stroke.is-animated .border {opacity: 1;}

.stroke.is-animated .border.top,
.stroke.is-animated .border.bottom {
  animation: stroke-width 1.8s cubic-bezier(0.22, 1, 0.36, 1);
}
.stroke.is-animated .border.right,
.stroke.is-animated .border.left {
  animation: stroke-height 1.8s cubic-bezier(0.22, 1, 0.36, 1);
}

@keyframes stroke-width {
  0% {width: 0; opacity: 1;}
  100% {width: calc(100% - 20px); opacity: 1;}
}

@keyframes stroke-height {
  0% {height: 0; opacity: 1;}
  100% {height: calc(100% - 20px); opacity: 1;}
}

/* 文字が滑らかに表示される */
.smooth {
  clip-path: inset(0 100% 0 0);
  transition: 1.5s cubic-bezier(0.37, 0, 0.63, 1);
  transition-property: clip-path;
}
.smooth.is-animated {clip-path: inset(0);}
.smooth:nth-child(2){transition-delay: .4s;}
.smooth:nth-child(3){transition-delay: .8s;}
.smooth:nth-child(4){transition-delay: 1.2s;}
.smooth:nth-child(6){transition-delay: 2s;}

/* ふわふわ */
.fuwafuwa {
  animation: fuwafuwa 3s ease-in-out infinite alternate;
  display: inline-block;
  transition: 1.5s ease-in-out;
  margin-top: 15px;
}

@keyframes fuwafuwa {
  0% {transform:translate(0, 0) rotate(-7deg);}
  50% {transform:translate(0, -7px) rotate(0deg);}
  100% {transform:translate(0, 0) rotate(7deg);}
}

/* ゆったりスクロールボタン */

.scroll {display: inline-block; padding-top: 70px; position: relative;}
.scroll::before {
  animation: scroll 3.5s infinite;
  border: solid #000;
  border-width: 0 0 1px 1px;
  content: "";
  display: inline-block;
  margin: auto;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  transform: rotate(-45deg);
  width: 20px;
  height: 20px;
}
@keyframes scroll {
  0% {transform: rotate(-45deg) translate(0, 0);  }
  80% {transform: rotate(-45deg) translate(-30px, 30px);  }
  0%, 80%, 100% {opacity: 0;}
  40% {opacity: 1;}
}

/* くるくる回りながら出現 */
.kurukuru {
  background: linear-gradient(to right, #362ae0 0%,#3b79cc 50%,#42d3ed 100%);
  width: 50px;
  height: 50px;
  opacity: 0;
  padding-bottom: 40px;
}
.kurukuru.is-animated {
  animation: kurukuru 1.4s ease-out;
  opacity: 1;
}
@keyframes kurukuru {
  0%{transform: rotateY(0) translateY(40px); opacity: 0;}
  100%{transform: rotateY(360deg) translateY(0); opacity: 1;}
}


/*------------------------------------------------------------------------------
  clearfix
------------------------------------------------------------------------------*/

.clearfix:after,
.inner-block:after {
  clear: both;
  content: "";
  display: block;
  height: 0px;
  font-size: 0;
  visibility: hidden;
}




/*------------------------------------------------------------------------------ */
/* ------ animation style ------ */
/*------------------------------------------------------------------------------ */


/* fade zoom */
.u-fade-type-zoom.is-active{
  transition: 8s;
  transform: scale(1.06);
}

/* fade up */
.u-fade-type-up{
  transform: translateY(50px);
  opacity: 0;
}

.u-fade-type-up.is-active{
  transition: .6s;
  transform: translateY(0);
  opacity: 1;
}

.is-active .u-fade-type-up{
  transition: .6s;
  transform: translateY(0);
  opacity: 1;
}

.is-active .u-fade-type-up:nth-child(2){transition-delay: .4s;}
.is-active .u-fade-type-up:nth-child(3){transition-delay: .8s;}
.is-active .u-fade-type-up:nth-child(4){transition-delay: 1.2s;}
.is-active .u-fade-type-up:nth-child(5){transition-delay: 1.6s;}
.is-active .u-fade-type-up:nth-child(6){transition-delay: 2s;}
.is-active .u-fade-type-up:nth-child(7){transition-delay: 2.4s;}
.is-active .u-fade-type-up:nth-child(8){transition-delay: 2.8s;}
.is-active .u-fade-type-up:nth-child(9){transition-delay: 3.2s;}
.is-active .u-fade-type-up:nth-child(10){transition-delay: 3.6s;}
.is-active .u-fade-type-up:nth-child(11){transition-delay: 4s;}
.is-active .u-fade-type-up:nth-child(12){transition-delay: 4.4s;}
.is-active .u-fade-type-up:nth-child(13){transition-delay: 4.8s;}
.is-active .u-fade-type-up:nth-child(14){transition-delay: 5.2s;}
.is-active .u-fade-type-up:nth-child(15){transition-delay: 5.6s;}
.is-active .u-fade-type-up:nth-child(16){transition-delay: 6s;}
.is-active .u-fade-type-up:nth-child(17){transition-delay: 6.4s;}

/* fade left */
.u-fade-type-left{
  transform: translateX(50px);
  opacity: 0;
}

.u-fade-type-left.is-active{
  transition: .6s;
  transform: translateX(0);
  opacity: 1;
}

.is-active .u-fade-type-left{
  transition: .6s;
  transform: translateX(0);
  opacity: 1;
}

.is-active .u-fade-type-left:nth-child(2){transition-delay: .2s;}
.is-active .u-fade-type-left:nth-child(3){transition-delay: .4s;}
.is-active .u-fade-type-left:nth-child(4){transition-delay: .6s;}
.is-active .u-fade-type-left:nth-child(5){transition-delay: .8s;}

/* img */
.u-fade-type-slide{position: relative;}
.u-fade-type-slide::before{}
.u-fade-type-slide::after{
  content: '';
  display: block;
  width: 100%;
  transform: scaleX(1);
  transform-origin: 100% 0;
  height: 100%;
  background-color: #FFF;
  position: absolute;
  top: 0;
  right: 0;
}

.u-fade-type-slide.is-active::after{
  transition: .6s;
  transform: scaleX(0);
}

/* single marker */
.u-fade-type-marker {
  background: linear-gradient(to right, transparent 50%,  rgba(255, 165, 0, 0.3) 50%);
  background: linear-gradient(to right, transparent 50%, rgba(255, 165, 0, 0.3) 50%);
  background-repeat: repeat-x;
  background-size: 200% .6em;
  background-position: 0 .6em;
  padding-bottom: .6em;
}

.u-fade-type-marker.is-active{
  transition: all 1.2s ease;
  background-position: -100% .6em;
}
/*------------------------------------------------------------------------------ */
/* ------ carousel slider ------ */
/*------------------------------------------------------------------------------ */
#slider-container {
  position: relative;
  width: 100%;
  margin: auto;
  overflow: hidden;
}

#slider {
  display: flex;
  transition: transform 0.5s ease-in-out;
}
#slider img{margin: 0 0 10px 0;}
#slider dd{font-size: 11px !important; padding: 0; margin: 0;}

.slide {
  flex: 0 0 100%;
  box-sizing: border-box;
}

img {
  width: 100%;
  height: auto;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 24px;
  cursor: pointer;
  color: #333;
}

#prev { left: 10px;}

#next { right: 10px;}



/*------------------------------------------------------------------------------ */
/* ------ burger menu ------ */
/*------------------------------------------------------------------------------ */
* {
  box-sizing: border-box;
}

.wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 480px;
  padding: 1em;
  overflow: hidden;
  z-index: 1;
  visibility: hidden;
}

.open .wrapper {
  visibility: visible;
}

.menu-icon-toggle {
  display: block;
  width: 30px;
  height: 30px;
  position: relative;
  z-index: 9;
  padding: 0 !important;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.home .menu-icon-toggle {
  top: 50px;
  position: absolute;
  right: 20px;
  top: 20px;
}
.menu-icon-toggle span {
  display: block;
  width: 100%;
  height: 2px;
  position: absolute;
  top: 50%;
  background-color: #ccc;
  transform: translate(0, -50%);
  transition: opacity 0.3s 0.3s;
}
.home:not(.open) .menu-icon-toggle span {
  background-color: #fff;
}
.menu-icon-toggle::before,
.menu-icon-toggle::after {
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  position: absolute;
  background-color: #ccc;
  transition: transform 0.3s, top 0.3s 0.3s, bottom 0.3s 0.3s;
}
.menu-icon-toggle::before {
  top: 6px;
}
.menu-icon-toggle::after {
  bottom: 6px;
}
.open .menu-icon-toggle span {
  opacity: 0;
  transition: opacity 0.3s;
}
.open .menu-icon-toggle::before,
.open .menu-icon-toggle::after {
  background-color: #6191d1;
}
.open .menu-icon-toggle::before {
  top: calc(50% - 1px);
  transform: rotate(45deg);
}
.open .menu-icon-toggle::after {
  bottom: calc(50% - 1px);
  transform: rotate(-45deg);
}
.open .menu-icon-toggle::before,
.open .menu-icon-toggle::after {
  transition: top 0.3s, bottom 0.3s, transform 0.3s 0.3s;
}

.menu-background {
  visibility: hidden;
  width: 300%;
  height: 250px;
  position: absolute;
  left: -130%;
  background-color: #fff;
  transition: background-position 0.5s, transform 0.5s 0.5s, visibility 0.5s 1s;
}
.open .menu-background {
  visibility: visible;
  transition: background-position 0.5s, transform 0.5s 0.5s;
}
.menu-background.top {
  transform: rotate(-45deg) translateY(-150%);
  background: linear-gradient(to top, #6191d1 50%, #fff 50%);
  background-size: 100% 200%;
  background-position: -100% 100%;
}
.open .menu-background.top {
  transform: rotate(-45deg) translateY(-49%);
  background-position: 0 0;
}
.menu-background.middle {
  transform: rotate(-45deg) translateY(50%) scaleY(0);
  background: #fff;
}
.open .menu-background.middle {
  transform: rotate(-45deg) translateY(50%) scaleY(1);
}
.menu-background.bottom {
  transform: rotate(-45deg) translateY(250%);
  background: linear-gradient(to bottom, #fff 50%, #6191d1 50%);
  background-size: 100% 200%;
  background-position: 0 -100%;
}
.open .menu-background.bottom {
  transform: rotate(-45deg) translateY(149%);
  background-position: 0 0;
}

.menu {
  position: absolute;
  top: 25%;
  left: 50%;
  width: 65% !important;
  transform: translate(-50%, -50%);
  visibility: hidden;
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: block !important;
}
.open .menu {
  visibility: visible;
}
.menu li {
  opacity: 0;
  margin-bottom: 5px;
  transform: translateX(20px);
  transition: all 0.3s;
  width: 100% !important;
  border-bottom: 1px solid #6191d1 !important;
}
.menu li:nth-child(6) {
  transition-delay: 0.1s;
  background-color: #fff !important;
}
.menu li:nth-child(6) span {
  transition-delay: 0.1s;
}
.menu li:nth-child(5) {
  transition-delay: 0.2s;
  background-color: #fff !important;
}
.menu li:nth-child(5) span {
  transition-delay: 0.2s;
}
.menu li:nth-child(4) {
  transition-delay: 0.3s;
  background-color: #fff !important;
}
.menu li:nth-child(4) span {
  transition-delay: 0.3s;
}
.menu li:nth-child(3) {
  transition-delay: 0.4s;
  background-color: #fff !important;
}
.menu li:nth-child(3) span {
  transition-delay: 0.4s;
}
.menu li:nth-child(2) {
  transition-delay: 0.5s;
  background-color: #fff !important;
}
.menu li:nth-child(2) span {
  transition-delay: 0.5s;
}
.menu li:nth-child(1) {
  transition-delay: 0.6s;
  background-color: #fff !important;
}
.menu li:nth-child(1) span {
  transition-delay: 0.6s;
}
.open .menu li {
  opacity: 1;
  transform: translateX(0);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
.open .menu li:nth-child(1) {
  transition-delay: 1.1s;
}
.open .menu li:nth-child(1) span {
  transition-delay: 1.1s;
}
.open .menu li:nth-child(2) {
  transition-delay: 1.2s;
}
.open .menu li:nth-child(2) span {
  transition-delay: 1.2s;
}
.open .menu li:nth-child(3) {
  transition-delay: 1.3s;
}
.open .menu li:nth-child(3) span {
  transition-delay: 1.3s;
}
.open .menu li:nth-child(4) {
  transition-delay: 1.4s;
}
.open .menu li:nth-child(4) span {
  transition-delay: 1.4s;
}
.open .menu li:nth-child(5) {
  transition-delay: 1.5s;
}
.open .menu li:nth-child(5) span {
  transition-delay: 1.5s;
}
.open .menu li:nth-child(6) {
  transition-delay: 1.6s;
}
.open .menu li:nth-child(6) span {
  transition-delay: 1.6s;
}
.menu a {
  position: relative;
  font-size: 14px;
  text-decoration: none;
  color: #6191d1 !important;
  padding: 7px 0 !important;
  text-align: left !important;
}
.menu a::before {
  content: "";
  display: block;
  height: 2px;
  width: 0;
  position: absolute;
  left: -30px;
  top: 50%;
  background-color: #6191d1;
  transform: translateY(-50%);
  transition: width 0.3s;
}
.menu a:hover::before {
  width: 15px;
}
